#!/usr/bin/ruby -w
#
# $Id: example.rb,v 1.2 2002/06/18 23:21:27 ianmacd Exp $

require 'password'

def die(reason)
  $stderr.puts reason
  exit 1
end

def handle_password(pw)
  password = Password.new(pw)
  reason = password.check
  die reason unless reason.empty?

  puts password.crypt(`uname` == "Linux\n" ? Password::MD5 : Password::DES)
end

my_string = Password.get("Password with get")
handle_password(my_string)

my_string = Password.getc("Password with getc", 'X')
handle_password(my_string)
