# $Id: ruby-password.spec,v 1.4 2002/06/19 00:29:52 ianmacd Exp $
#

Summary: password handling library for Ruby, including interface to CrackLib
Name: ruby-password
Version: 0.1.0
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby, cracklib, cracklib-dicts
Requires: ruby, ruby-termios, cracklib, cracklib-dicts

%description
Ruby/Password is a collection of password handling routines for Ruby,
including an interface to CrackLib for the purposes of testing password
strength.

%prep
%setup

%build
ruby extconf.rb
make
#make docs

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_mandir}/man3
install doc/password.3 $RPM_BUILD_ROOT%{_mandir}/man3/password.3
gzip -9 $RPM_BUILD_ROOT%{_mandir}/man3/password.3
find $RPM_BUILD_ROOT -type f -print | \
        ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc -P examples/ doc/password.html

%changelog
* Tue Jun 18 2002 Ian Macdonald <ian@caliban.org>
- 0.1.0
